##
## -*- coding: utf-8 -*-
## vim: set fileencoding=utf-8
##
## Copyright (c) 2016, Shogun-Toolbox e.V. <shogun-team@shogun-toolbox.org>
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that the following conditions are met:
##
##  1. Redistributions of source code must retain the above copyright notice,
##     this list of conditions and the following disclaimer.
##
##  2. Redistributions in binary form must reproduce the above copyright
##     notice, this list of conditions and the following disclaimer in the
##     documentation and/or other materials provided with the distribution.
##
##  3. Neither the name of the copyright holder nor the names of its
##     contributors may be used to endorse or promote products derived from
##     this software without specific prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
## AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
## IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
## ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
## LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
## CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
## SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
## INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
## CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
## ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
## POSSIBILITY OF SUCH DAMAGE.
##
## Authors: 2016, Björn Esser <me@besser82.io>
##

# CMake-Config file for Dynaplugz.  It defines the following variables:
#   DYNAPLUGZ_INCLUDE_DIRS - include directories for Dynaplugz
#   DYNAPLUGZ_PLUGIN_DIR   - default installation-directory for plugins
#   DYNAPLUGZ_TAGFILE      - Doxygen tag-file to include documentation

get_filename_component(
  DYNAPLUGZ_CMAKE_DIR
    "${CMAKE_CURRENT_LIST_FILE}"
  PATH
)

if( NOT TARGET dynaplugz AND NOT dynaplugz_BINARY_DIR )
  include( "${DYNAPLUGZ_CMAKE_DIR}/DynaplugzTargets.cmake" )
endif( NOT TARGET dynaplugz AND NOT dynaplugz_BINARY_DIR )

set(
  DYNAPLUGZ_INCLUDE_DIRS
    "${DYNAPLUGZ_CMAKE_DIR}/../../../include"
)

set(
  DYNAPLUGZ_PLUGIN_DIR
    "/usr/lib64/dynaplugz"
)

if( "YES" STREQUAL "YES" )
  set(
    DYNAPLUGZ_TAGFILE
      "/usr/share/dynaplugz/dynaplugz.tag"
  )
endif( "YES" STREQUAL "YES" )

get_property(
  IMPORTED_LOCATION
    TARGET
      dynaplugz
    PROPERTY
      IMPORTED_LOCATION_RELEASE
)
message(
  STATUS
    "Found Dynaplugz: ${IMPORTED_LOCATION} (Version: \"0.0.0.0.git20160309.597ce9f\")"
)
